{
  description = "Description for the project";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    devshell.url = "github:numtide/devshell";
  };

  outputs = inputs@{ flake-parts, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      imports = [
        inputs.devshell.flakeModule
      ];
      systems = [ "x86_64-linux" "aarch64-darwin" ];
      perSystem = { config, self', inputs', pkgs, system, ... }: {
        devshells.default = {
          env = [{
            name = "HTTP_PORT";
            value = 8080;
          }];
          commands = [{
            help = "print hello";
            name = "hello";
            command = "echo hello";
          }];
          packages = with pkgs; [ pandoc nixfmt ];
        };
      };
      flake = {
      };
    };
}
